-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local slot_id = ProcessingFlow[1].Destination.SlotID
for _, v in ipairs(Input) do
    if slot_id == v.SlotNumber then
        return {
            BoardId = (ProcessingFlow[1].Destination.BoardID == 65535) and cjson.null or
                string.format('0x%04x', ProcessingFlow[1].Destination.BoardID),
            PCBVersion = ProcessingFlow[1].Destination.PcbVersion,
            ProductName = ProcessingFlow[1].Destination.BoardName
        }
    end
end

return {
    BoardId = (ProcessingFlow[1].Destination.BoardID == 65535) and cjson.null or
        string.format('0x%04x', ProcessingFlow[1].Destination.BoardID),
    PCBVersion = ProcessingFlow[1].Destination.PcbVersion,
    ProductName = ProcessingFlow[1].Destination.BoardName
}